Debian Bug report logs - #695194
ITP: webmock -- Library for stubbing HTTP requests in Ruby

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Hideki Yamane <henrich@debian.or.jp>

Date: Wed, 5 Dec 2012 10:03:01 UTC

Owned by: Hideki Yamane <henrich@debian.org>

Severity: wishlist

Tags: pending

Fix blocked by 710044: update ruby-em-http-request to latest upstream release

Blocking fix for 695195: ITP: ruby-vcr -- record test suite HTTP interactions and replay during future test runs, 709293: ITP: ruby-omniauth-openid -- OpenID strategy for OmniAuth

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, debian-cloud@lists.debian.org, wnpp@debian.org, Hideki Yamane <henrich@debian.org>:
Bug#695194; Package wnpp. (Wed, 05 Dec 2012 10:03:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Hideki Yamane <henrich@debian.or.jp>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, debian-cloud@lists.debian.org, wnpp@debian.org, Hideki Yamane <henrich@debian.org>. (Wed, 05 Dec 2012 10:03:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Hideki Yamane <henrich@debian.or.jp>
To: submit@bugs.debian.org
Subject: ITP: webmock -- Library for stubbing HTTP requests in Ruby
Date: Wed, 5 Dec 2012 14:46:21 +0900
Package: wnpp
Severity: wishlist
Owner: Hideki Yamane <henrich@debian.org>
X-Debbugs-CC: debian-devel@lists.debian.org, debian-cloud@lists.debian.org, 
Control: affects -1 + cloud.debian.org

   Package name: webmock (ruby-webmock)
        Version: 1.9.0
Upstream Author: 2009-2012 Bartosz Blimke
            URL: https://github.com/bblimke/webmock
        License: MIT
                 
    Description: Library for stubbing HTTP requests in Ruby
 WebMock allows stubbing HTTP requests and setting expectations on HTTP requests.


-- 
Regards,

 Hideki Yamane     henrich @ debian.or.jp/org
 http://wiki.debian.org/HidekiYamane



Added indication that 695194 affects cloud.debian.org Request was from Hideki Yamane <henrich@debian.or.jp> to submit@bugs.debian.org. (Wed, 05 Dec 2012 10:03:04 GMT) Full text and rfc822 format available.

Message sent on to Hideki Yamane <henrich@debian.or.jp>:
Bug#695194. (Wed, 05 Dec 2012 10:39:05 GMT) Full text and rfc822 format available.

Message #10 received at 695194-submitter@bugs.debian.org (full text, mbox):

From: Cédric Boutillier <cedric.boutillier@gmail.com>
To: 695194-submitter@bugs.debian.org
Subject: dependencies
Date: Wed, 5 Dec 2012 11:36:14 +0100
[Message part 1 (text/plain, inline)]
Control: block -1 by 695059 623900

Dear Hideki,

Thanks for packaging this

The packaging of dependencies (ruby-jwt and ruby-crack) is currently in
progress, as a part of the effort of a group of people to have diaspora
packaged for Debian. (webmock is also a needed piece for diaspora, so I
am sure these people will appreciate having this packaged too).

ruby-jwt is almost ready (I am waiting for an updated description to
upload the package) and ruby-crack needs some build-dependencies, but
should be ready soon.

According to Ruby policy, the source and binary packages should be
called ruby-webmock.

Cheers,

Cédric
[signature.asc (application/pgp-signature, inline)]

Added blocking bug(s) of 695194: 695059 and 623900 Request was from Cédric Boutillier <cedric.boutillier@gmail.com> to 695194-submitter@bugs.debian.org. (Wed, 05 Dec 2012 10:39:05 GMT) Full text and rfc822 format available.

Information stored :
Bug#695194; Package wnpp. (Thu, 06 Dec 2012 02:51:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Hideki Yamane <henrich@debian.or.jp>:
Extra info received and filed, but not forwarded. (Thu, 06 Dec 2012 02:51:05 GMT) Full text and rfc822 format available.

Message #17 received at 695194-quiet@bugs.debian.org (full text, mbox):

From: Hideki Yamane <henrich@debian.or.jp>
To: Cédric Boutillier <cedric.boutillier@gmail.com>, 695194-quiet@bugs.debian.org
Cc: 695194-submitter@bugs.debian.org
Subject: Re: Bug#695194: dependencies
Date: Thu, 6 Dec 2012 11:49:43 +0900
Hi,

On Wed, 5 Dec 2012 11:36:14 +0100
Cédric Boutillier <cedric.boutillier@gmail.com> wrote:
> The packaging of dependencies (ruby-jwt and ruby-crack) is currently in
> progress, as a part of the effort of a group of people to have diaspora
> packaged for Debian. (webmock is also a needed piece for diaspora, so I
> am sure these people will appreciate having this packaged too).

 Well, it needs "ruby-addressable (>= 2.2.7), ruby-crack (>= 0.1.7)"
 as its webmock.gemspec says. Does it need ruby-jwt?


> According to Ruby policy, the source and binary packages should be
> called ruby-webmock.

 Yes, I intended to make ruby-webmock as binary package and webmock
 is for source package. Should I change its source package name, too?


-- 
Regards,

 Hideki Yamane     henrich @ debian.or.jp/org
 http://wiki.debian.org/HidekiYamane



Message sent on to Hideki Yamane <henrich@debian.or.jp>:
Bug#695194. (Thu, 06 Dec 2012 02:51:07 GMT) Full text and rfc822 format available.

Information stored :
Bug#695194; Package wnpp. (Thu, 06 Dec 2012 08:45:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Hideki Yamane <henrich@debian.or.jp>:
Extra info received and filed, but not forwarded. (Thu, 06 Dec 2012 08:45:07 GMT) Full text and rfc822 format available.

Message #25 received at 695194-quiet@bugs.debian.org (full text, mbox):

From: Hideki Yamane <henrich@debian.or.jp>
To: Cédric Boutillier <cedric.boutillier@gmail.com>, 695194-quiet@bugs.debian.org, Nandaja Varma <nandaja.varma@gmail.com>
Cc: 623900@bugs.debian.org
Subject: Re: Bug#695194: dependencies
Date: Thu, 6 Dec 2012 17:43:36 +0900
Hi Cédric

On Wed, 5 Dec 2012 11:36:14 +0100
Cédric Boutillier <cedric.boutillier@gmail.com> wrote:
> The packaging of dependencies (ruby-jwt and ruby-crack) is currently in
> progress

 ruby-crack seems to be not progressed since it was ITPed.
 So, I've made its package today.

 Please check http://www.mithril-linux.org/~henrich/debian/package/temp/
 If it's okay, I'll upload to unstable repository.

 (Of course, change maintainer to others are welcome)
 

-- 
Regards,

 Hideki Yamane     henrich @ debian.or.jp/org
 http://wiki.debian.org/HidekiYamane



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Hideki Yamane <henrich@debian.org>:
Bug#695194; Package wnpp. (Thu, 06 Dec 2012 10:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cédric Boutillier <cedric.boutillier@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Hideki Yamane <henrich@debian.org>. (Thu, 06 Dec 2012 10:57:03 GMT) Full text and rfc822 format available.

Message #30 received at 695194@bugs.debian.org (full text, mbox):

From: Cédric Boutillier <cedric.boutillier@gmail.com>
To: Hideki Yamane <henrich@debian.or.jp>, 695194@bugs.debian.org
Subject: Re: Bug#695194: dependencies
Date: Thu, 6 Dec 2012 11:53:28 +0100
Control: unblock -1 by 695059

Hi,

On Thu, Dec 06, 2012 at 11:49:43AM +0900, Hideki Yamane wrote:
> On Wed, 5 Dec 2012 11:36:14 +0100
> Cédric Boutillier <cedric.boutillier@gmail.com> wrote:
> > The packaging of dependencies (ruby-jwt and ruby-crack) is currently in
> > progress, as a part of the effort of a group of people to have diaspora
> > packaged for Debian. (webmock is also a needed piece for diaspora, so I
> > am sure these people will appreciate having this packaged too).

>  Well, it needs "ruby-addressable (>= 2.2.7), ruby-crack (>= 0.1.7)"
>  as its webmock.gemspec says. Does it need ruby-jwt?

Oh, sorry. I misread the data I collected for diaspora. You are right,
there isno dependency on ruby-jwt.


> > According to Ruby policy, the source and binary packages should be
> > called ruby-webmock.

>  Yes, I intended to make ruby-webmock as binary package and webmock
>  is for source package. Should I change its source package name, too?

I thing it woud be a good idea, to keep the same convention as for the
(majority of) other Ruby packages. At least, that is the name that would
be picked by gem2deb for the source package too.

Cheers,

Cédric



Removed blocking bug(s) of 695194: 695059 Request was from Cédric Boutillier <cedric.boutillier@gmail.com> to 695194-submit@bugs.debian.org. (Thu, 06 Dec 2012 10:57:03 GMT) Full text and rfc822 format available.

Information stored :
Bug#695194; Package wnpp. (Thu, 06 Dec 2012 12:09:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cédric Boutillier <cedric.boutillier@gmail.com>:
Extra info received and filed, but not forwarded. (Thu, 06 Dec 2012 12:09:04 GMT) Full text and rfc822 format available.

Message #37 received at 695194-quiet@bugs.debian.org (full text, mbox):

From: Cédric Boutillier <cedric.boutillier@gmail.com>
To: Hideki Yamane <henrich@debian.or.jp>
Cc: 695194-quiet@bugs.debian.org, Nandaja Varma <nandaja.varma@gmail.com>, 623900@bugs.debian.org
Subject: Re: Bug#695194: dependencies
Date: Thu, 6 Dec 2012 13:07:21 +0100
On Thu, Dec 06, 2012 at 05:43:36PM +0900, Hideki Yamane wrote:
> Hi Cédric

> On Wed, 5 Dec 2012 11:36:14 +0100
> Cédric Boutillier <cedric.boutillier@gmail.com> wrote:
> > The packaging of dependencies (ruby-jwt and ruby-crack) is currently in
> > progress

>  ruby-crack seems to be not progressed since it was ITPed.
>  So, I've made its package today.

>  Please check http://www.mithril-linux.org/~henrich/debian/package/temp/
>  If it's okay, I'll upload to unstable repository.

Thanks Hideki,

The package looks fine. Maybe I would change the description to remove
the word 'gem' and mention Ruby instead.

--- ruby-crack-0.3.1/debian/control     2012-12-06 09:23:04.000000000 +0100
+++ ruby-crack-0.3.1.new/debian/control 2012-12-06 11:25:46.655218228 +0100
@@ -10,7 +10,7 @@
 Package: ruby-crack
 Architecture: all
 Depends: ${shlibs:Depends}, ${misc:Depends}, ruby
-Description: A gem to parse XML and JSON
- Really simple JSON and XML parsing. 
+Description: Ruby library to parse XML and JSON
+ Crack is a really simple JSON and XML parsing library written in Ruby.
  .
  XML parser is ripped from Merb and the JSON parser is ripped from Rails.

I would also be nice to have tests enabled at build time, but this would
require the packaging of jnunemaker-matchy. They could be enabled
later, I guess.

Would you mind maintaining it inside the pkg-ruby-extras Alioth team?

Cédric



Information stored :
Bug#695194; Package wnpp. (Sun, 09 Dec 2012 13:42:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Hideki Yamane <henrich@debian.or.jp>:
Extra info received and filed, but not forwarded. (Sun, 09 Dec 2012 13:42:06 GMT) Full text and rfc822 format available.

Message #42 received at 695194-quiet@bugs.debian.org (full text, mbox):

From: Hideki Yamane <henrich@debian.or.jp>
To: Cédric Boutillier <cedric.boutillier@gmail.com>
Cc: 695194-quiet@bugs.debian.org
Subject: Re: Bug#695194: dependencies
Date: Sun, 9 Dec 2012 22:39:55 +0900
On Thu, 6 Dec 2012 11:53:28 +0100
Cédric Boutillier <cedric.boutillier@gmail.com> wrote:
> > > According to Ruby policy, the source and binary packages should be
> > > called ruby-webmock.
> 
> >  Yes, I intended to make ruby-webmock as binary package and webmock
> >  is for source package. Should I change its source package name, too?
> 
> I thing it woud be a good idea, to keep the same convention as for the
> (majority of) other Ruby packages. At least, that is the name that would
> be picked by gem2deb for the source package too.

 Okay, I'll apply its rule for all ruby packages.
 Thanks :)


-- 
Regards,

 Hideki Yamane     henrich @ debian.or.jp/org
 http://wiki.debian.org/HidekiYamane



Information stored :
Bug#695194; Package wnpp. (Sun, 09 Dec 2012 14:24:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Hideki Yamane <henrich@debian.or.jp>:
Extra info received and filed, but not forwarded. (Sun, 09 Dec 2012 14:24:05 GMT) Full text and rfc822 format available.

Message #47 received at 695194-quiet@bugs.debian.org (full text, mbox):

From: Hideki Yamane <henrich@debian.or.jp>
To: Cédric Boutillier <cedric.boutillier@gmail.com>
Cc: 695194-quiet@bugs.debian.org, Nandaja Varma <nandaja.varma@gmail.com>, 623900@bugs.debian.org
Subject: Re: Bug#695194: dependencies
Date: Sun, 9 Dec 2012 23:20:55 +0900
Hi,

 thank you for your review, Cédric :)
 fixed the description.

On Thu, 6 Dec 2012 13:07:21 +0100
Cédric Boutillier <cedric.boutillier@gmail.com> wrote:
> I would also be nice to have tests enabled at build time, but this would
> require the packaging of jnunemaker-matchy. They could be enabled
> later, I guess.

 Updated. And temporary upload ruby-jnunemaker-matchy (not completed yet)
 see http://www.mithril-linux.org/~henrich/debian/package/temp/


> Would you mind maintaining it inside the pkg-ruby-extras Alioth team?

 Hm, Yes, it'd be better to work inside team and I prefer team maintenance
 than solo, but I wonder I can read more mail traffic... ;-) 
 

-- 
Regards,

 Hideki Yamane     henrich @ debian.or.jp/org
 http://wiki.debian.org/HidekiYamane



Information stored :
Bug#695194; Package wnpp. (Tue, 11 Dec 2012 18:03:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cédric Boutillier <cedric.boutillier@gmail.com>:
Extra info received and filed, but not forwarded. (Tue, 11 Dec 2012 18:03:09 GMT) Full text and rfc822 format available.

Message #52 received at 695194-quiet@bugs.debian.org (full text, mbox):

From: Cédric Boutillier <cedric.boutillier@gmail.com>
To: Hideki Yamane <henrich@debian.or.jp>
Cc: 695194-quiet@bugs.debian.org, Nandaja Varma <nandaja.varma@gmail.com>, 623900@bugs.debian.org
Subject: Re: Bug#695194: dependencies
Date: Tue, 11 Dec 2012 19:00:24 +0100
Hi,

On Sun, Dec 09, 2012 at 11:20:55PM +0900, Hideki Yamane wrote:

> On Thu, 6 Dec 2012 13:07:21 +0100
> Cédric Boutillier <cedric.boutillier@gmail.com> wrote:
> > I would also be nice to have tests enabled at build time, but this would
> > require the packaging of jnunemaker-matchy. They could be enabled
> > later, I guess.

>  Updated. And temporary upload ruby-jnunemaker-matchy (not completed yet)
>  see http://www.mithril-linux.org/~henrich/debian/package/temp/

About ruby-crack:
- in the patch which removes the call to 'gem', I would remove also the
  line "require 'rubygems'"
- in debian/copyright, in order to avoid to repeat the MIT license, I
  would use a standalone paragraph (and change the name of the license
  from MIT to Expat)

About ruby-jnunemaker-matchy:
  I see that you have the XS-Ruby-Version: set to ruby1.8. In fact,
  ruby-jnunemaker-matchy should work (at least the tests should pass)
  with ruby1.9 also, if you add ruby-test-unit to the build-dependencies.

Cheers,

Cédric



Information stored :
Bug#695194; Package wnpp. (Wed, 12 Dec 2012 05:30:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Nandaja Varma <nandaja.varma@gmail.com>:
Extra info received and filed, but not forwarded. (Wed, 12 Dec 2012 05:30:05 GMT) Full text and rfc822 format available.

Message #57 received at 695194-quiet@bugs.debian.org (full text, mbox):

From: Nandaja Varma <nandaja.varma@gmail.com>
To: Cédric Boutillier <cedric.boutillier@gmail.com>, 623900@bugs.debian.org
Cc: Hideki Yamane <henrich@debian.or.jp>, 695194-quiet@bugs.debian.org
Subject: Re: Bug#623900: Bug#695194: dependencies
Date: Wed, 12 Dec 2012 10:56:04 +0530
[Message part 1 (text/plain, inline)]
Hi,
I have completed packaging ruby-jnunemaker-matchy and pushed it to the
gitorious repo.
https://gitorious.org/+debian-diaspora/debian-diaspora/ruby-jnunemaker-matchy
 So maybe Hideki can carry on with crack now.
Regards,
Nandaja


On Tue, Dec 11, 2012 at 11:30 PM, Cédric Boutillier <
cedric.boutillier@gmail.com> wrote:

> Hi,
>
> On Sun, Dec 09, 2012 at 11:20:55PM +0900, Hideki Yamane wrote:
>
> > On Thu, 6 Dec 2012 13:07:21 +0100
> > Cédric Boutillier <cedric.boutillier@gmail.com> wrote:
> > > I would also be nice to have tests enabled at build time, but this
> would
> > > require the packaging of jnunemaker-matchy. They could be enabled
> > > later, I guess.
>
> >  Updated. And temporary upload ruby-jnunemaker-matchy (not completed yet)
> >  see http://www.mithril-linux.org/~henrich/debian/package/temp/
>
> About ruby-crack:
> - in the patch which removes the call to 'gem', I would remove also the
>   line "require 'rubygems'"
> - in debian/copyright, in order to avoid to repeat the MIT license, I
>   would use a standalone paragraph (and change the name of the license
>   from MIT to Expat)
>
> About ruby-jnunemaker-matchy:
>   I see that you have the XS-Ruby-Version: set to ruby1.8. In fact,
>   ruby-jnunemaker-matchy should work (at least the tests should pass)
>   with ruby1.9 also, if you add ruby-test-unit to the build-dependencies.
>
> Cheers,
>
> Cédric
>
[Message part 2 (text/html, inline)]

Added indication that bug 695194 blocks 708386 Request was from Praveen A <pravi.a@gmail.com> to control@bugs.debian.org. (Wed, 15 May 2013 13:18:15 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 695194: 662687 and 638833 Request was from Praveen A <pravi.a@gmail.com> to control@bugs.debian.org. (Thu, 16 May 2013 09:45:10 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Hideki Yamane <henrich@debian.org>:
Bug#695194; Package wnpp. (Wed, 22 May 2013 10:33:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Praveen A <pravi.a@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Hideki Yamane <henrich@debian.org>. (Wed, 22 May 2013 10:33:08 GMT) Full text and rfc822 format available.

Message #66 received at 695194@bugs.debian.org (full text, mbox):

From: Praveen A <pravi.a@gmail.com>
To: 695194@bugs.debian.org, Hideki Yamane <henrich@debian.org>
Subject: Fwd: https tests failing with webmock
Date: Wed, 22 May 2013 15:58:29 +0530
[sending to itp also]

Hi Hideki,

I  can see there is a patch to set cacert path in excon and excon
adapter for webmock seems to work with https. I had a look at curb
files and it seems to be taking cacert path from curl-config --ca.

Packaging available at
http://anonscm.debian.org/gitweb/?p=pkg-ruby-extras/ruby-webmock.git

If we can fix these failing tests, we are ready for upload.

Failing tests,

1) Webmock with Curb using #http for requests it should behave like
Curb with WebMock when net connect is allowed should make a real https
request if request is not stubbed
     Failure/Error: Unable to find matching line from backtrace
     Curl::Err::SSLCaertBadFile:
       Curl::Err::SSLCaertBadFile
     Shared Example Group: "Curb" called from
     # ./lib/webmock/http_lib_adapters/curb_adapter.rb:200:in `block in perform'
     # ./lib/webmock/http_lib_adapters/curb_adapter.rb:70:in `curb_or_webmock'
     # ./lib/webmock/http_lib_adapters/curb_adapter.rb:200:in `perform'
     # ./lib/webmock/http_lib_adapters/curb_adapter.rb:176:in `http'
     # ./lib/webmock/http_lib_adapters/curb_adapter.rb:176:in `http'
     # ./spec/acceptance/curb/curb_spec_helper.rb:69:in `curb_http_request'
     # ./spec/acceptance/curb/curb_spec_helper.rb:8:in `http_request'
     # ./spec/acceptance/shared/allowing_and_disabling_net_connect.rb:14:in
`block (4 levels) in <top (required)>'

  2) Webmock with Curb using #http_* methods for requests it should
behave like Curb with WebMock when net connect is allowed should make
a real https request if request is not stubbed
     Failure/Error: Unable to find matching line from backtrace
     Curl::Err::SSLCaertBadFile:
       Curl::Err::SSLCaertBadFile
     Shared Example Group: "Curb" called from
     # ./lib/webmock/http_lib_adapters/curb_adapter.rb:200:in `block in perform'
     # ./lib/webmock/http_lib_adapters/curb_adapter.rb:70:in `curb_or_webmock'
     # ./lib/webmock/http_lib_adapters/curb_adapter.rb:200:in `perform'
     # ./lib/webmock/http_lib_adapters/curb_adapter.rb:176:in `http'
     # ./lib/webmock/http_lib_adapters/curb_adapter.rb:176:in `http'
     # ./lib/webmock/http_lib_adapters/curb_adapter.rb:182:in `block
(2 levels) in <class:WebMockCurlEasy>'
     # ./spec/acceptance/curb/curb_spec_helper.rb:82:in `curb_http_request'
     # ./spec/acceptance/curb/curb_spec_helper.rb:8:in `http_request'
     # ./spec/acceptance/shared/allowing_and_disabling_net_connect.rb:14:in
`block (4 levels) in <top (required)>'

  3) Webmock with Curb using #perform for requests it should behave
like Curb with WebMock when net connect is allowed should make a real
https request if request is not stubbed
     Failure/Error: Unable to find matching line from backtrace
     Curl::Err::SSLCaertBadFile:
       Curl::Err::SSLCaertBadFile
     Shared Example Group: "Curb" called from
     # ./lib/webmock/http_lib_adapters/curb_adapter.rb:200:in `block in perform'
     # ./lib/webmock/http_lib_adapters/curb_adapter.rb:70:in `curb_or_webmock'
     # ./lib/webmock/http_lib_adapters/curb_adapter.rb:200:in `perform'
     # ./spec/acceptance/curb/curb_spec_helper.rb:103:in `curb_http_request'
     # ./spec/acceptance/curb/curb_spec_helper.rb:8:in `http_request'
     # ./spec/acceptance/shared/allowing_and_disabling_net_connect.rb:14:in
`block (4 levels) in <top (required)>'

  4) Webmock with Curb using .http_* methods for requests it should
behave like Curb with WebMock when net connect is allowed should make
a real https request if request is not stubbed
     Failure/Error: Unable to find matching line from backtrace
     Curl::Err::SSLCaertBadFile:
       Curl::Err::SSLCaertBadFile
     Shared Example Group: "Curb" called from
     # ./lib/webmock/http_lib_adapters/curb_adapter.rb:200:in `block in perform'
     # ./lib/webmock/http_lib_adapters/curb_adapter.rb:70:in `curb_or_webmock'
     # ./lib/webmock/http_lib_adapters/curb_adapter.rb:200:in `perform'
     # ./lib/webmock/http_lib_adapters/curb_adapter.rb:176:in `http'
     # ./lib/webmock/http_lib_adapters/curb_adapter.rb:176:in `http'
     # ./lib/webmock/http_lib_adapters/curb_adapter.rb:182:in `block
(2 levels) in <class:WebMockCurlEasy>'
     # ./spec/acceptance/curb/curb_spec_helper.rb:113:in `curb_http_request'
     # ./spec/acceptance/curb/curb_spec_helper.rb:8:in `http_request'
     # ./spec/acceptance/shared/allowing_and_disabling_net_connect.rb:14:in
`block (4 levels) in <top (required)>'

  5) Webmock with Curb using .perform for requests it should behave
like Curb with WebMock when net connect is allowed should make a real
https request if request is not stubbed
     Failure/Error: Unable to find matching line from backtrace
     Curl::Err::SSLCaertBadFile:
       Curl::Err::SSLCaertBadFile
     Shared Example Group: "Curb" called from
     # ./lib/webmock/http_lib_adapters/curb_adapter.rb:200:in `block in perform'
     # ./lib/webmock/http_lib_adapters/curb_adapter.rb:70:in `curb_or_webmock'
     # ./lib/webmock/http_lib_adapters/curb_adapter.rb:200:in `perform'
     # ./lib/webmock/http_lib_adapters/curb_adapter.rb:176:in `http'
     # ./lib/webmock/http_lib_adapters/curb_adapter.rb:176:in `http'
     # ./lib/webmock/http_lib_adapters/curb_adapter.rb:182:in `block
(2 levels) in <class:WebMockCurlEasy>'
     # ./spec/acceptance/curb/curb_spec_helper.rb:126:in `curb_http_request'
     # ./spec/acceptance/curb/curb_spec_helper.rb:8:in `http_request'
     # ./spec/acceptance/shared/allowing_and_disabling_net_connect.rb:14:in
`block (4 levels) in <top (required)>'

  6) Patron with WebMock when net connect is allowed should make a
real https request if request is not stubbed
     Failure/Error: Unable to find matching line from backtrace
     Patron::Error:
     # ./lib/webmock/http_lib_adapters/patron_adapter.rb:31:in `handle_request'
     # ./lib/webmock/http_lib_adapters/patron_adapter.rb:31:in `handle_request'
     # ./spec/acceptance/patron/patron_spec_helper.rb:16:in `http_request'
     # ./spec/acceptance/shared/allowing_and_disabling_net_connect.rb:14:in
`block (4 levels) in <top (required)>'

  7) Patron when custom functionality is used file requests should
raise same error as Patron if file is not readable for get request
     Failure/Error: Unable to find matching line from backtrace
       expected ArgumentError with "Unable to open specified file."
but nothing was raised
     # ./spec/acceptance/patron/patron_spec.rb:47:in `block (4 levels)
in <top (required)>'

  8) Typhoeus::Hydra with WebMock when net connect is allowed should
make a real https request if request is not stubbed
     Failure/Error: Unable to find matching line from backtrace
       expected: /.*google.*/
            got: "" (using =~)
       Diff:
       @@ -1,2 +1,2 @@
       -/.*google.*/
       +""

     # ./spec/acceptance/shared/allowing_and_disabling_net_connect.rb:15:in
`block (4 levels) in <top (required)>'

Finished in 5 minutes 8.29 seconds
3222 examples, 8 failures, 2 pending


--
പ്രവീണ്‍ അരിമ്പ്രത്തൊടിയില്‍
You have to keep reminding your government that you don't get your
rights from them; you give them permission to rule, only so long as
they follow the rules: laws and constitution.


--
പ്രവീണ്‍ അരിമ്പ്രത്തൊടിയില്‍
You have to keep reminding your government that you don't get your
rights from them; you give them permission to rule, only so long as
they follow the rules: laws and constitution.



Added indication that bug 695194 blocks 709293 Request was from Praveen A <pravi.a@gmail.com> to control@bugs.debian.org. (Wed, 22 May 2013 11:51:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Hideki Yamane <henrich@debian.org>:
Bug#695194; Package wnpp. (Sun, 26 May 2013 11:09:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Praveen A <pravi.a@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Hideki Yamane <henrich@debian.org>. (Sun, 26 May 2013 11:09:04 GMT) Full text and rfc822 format available.

Message #73 received at 695194@bugs.debian.org (full text, mbox):

From: Praveen A <pravi.a@gmail.com>
To: 695194@bugs.debian.org
Subject: one patron test failure remaining
Date: Sun, 26 May 2013 16:36:56 +0530
After Cedric added ca-certificates in build deps, the https tests are
passing now.

One more test is failing in pbuilder, though it works outside pbuilder
when I run rspec.

Run options:
  include {:focus=>true}
  exclude {:without_webmock=>true}

All examples were filtered out; ignoring {:focus=>true}
.................................................................................................................................................................................................................................................F........

Failures:

  1) Patron when custom functionality is used file requests should
raise same error as Patron if file is not readable for get request
     Failure/Error: Unable to find matching line from backtrace
       expected ArgumentError with "Unable to open specified file."
but nothing was raised
     # ./spec/acceptance/patron/patron_spec.rb:47:in `block (4 levels)
in <top (required)>'

Finished in 44.27 seconds
250 examples, 1 failure

Failed examples:

rspec /usr/lib/ruby/vendor_ruby/rspec/core/metadata.rb:185 # Patron
when custom functionality is used file requests should raise same
error as Patron if file is not readable for get request
/usr/bin/rspec: [BUG] Segmentation fault
ruby 1.9.3p194 (2012-04-20 revision 35410) [x86_64-linux]

-- Control frame information -----------------------------------------------
c:0001 p:0000 s:0002 b:0002 l:001e68 d:001e68 TOP


-- C level backtrace information -------------------------------------------
Segmentation fault


--
പ്രവീണ്‍ അരിമ്പ്രത്തൊടിയില്‍
You have to keep reminding your government that you don't get your
rights from them; you give them permission to rule, only so long as
they follow the rules: laws and constitution.



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Hideki Yamane <henrich@debian.org>:
Bug#695194; Package wnpp. (Sun, 26 May 2013 14:39:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Praveen A <pravi.a@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Hideki Yamane <henrich@debian.org>. (Sun, 26 May 2013 14:39:05 GMT) Full text and rfc822 format available.

Message #78 received at 695194@bugs.debian.org (full text, mbox):

From: Praveen A <pravi.a@gmail.com>
To: 695194@bugs.debian.org, Cédric Boutillier <cedric.boutillier@gmail.com>, Hideki Yamane <henrich@debian.org>
Subject: Re: one patron test failure remaining
Date: Sun, 26 May 2013 20:04:44 +0530
2013/5/26 Praveen A <pravi.a@gmail.com>:
> One more test is failing in pbuilder, though it works outside pbuilder
> when I run rspec.

This test is skipped for now and some test/unit tests were ported to
minitest. It is ready for upload once a newer version of excon can be
uploaded (which needs shindo in new).

It is available from http://people.debian.org/~praveen/diaspora/

Cedric, please review my patches and see if we should send it
upstream. I don't know if they want to keep unit/test for
compatibility or they would be okay to dump it.

--
പ്രവീണ്‍ അരിമ്പ്രത്തൊടിയില്‍
You have to keep reminding your government that you don't get your
rights from them; you give them permission to rule, only so long as
they follow the rules: laws and constitution.



Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Wed, 29 May 2013 20:06:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Hideki Yamane <henrich@debian.org>:
Bug#695194; Package wnpp. (Sun, 12 Jan 2014 18:57:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Praveen A <praveen@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Hideki Yamane <henrich@debian.org>. (Sun, 12 Jan 2014 18:57:09 GMT) Full text and rfc822 format available.

Message #85 received at 695194@bugs.debian.org (full text, mbox):

From: Praveen A <praveen@debian.org>
To: Ansgar Burchardt <ftpmaster@ftp-master.debian.org>
Cc: Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>, 695194@bugs.debian.org
Subject: Re: ruby-webmock_1.11.0-1_amd64.changes REJECTED
Date: Mon, 13 Jan 2014 00:25:36 +0530
2013/7/2, Ansgar Burchardt <ftpmaster@ftp-master.debian.org>:
>
> Hi,
>
> the upstream tarball contains code from other projects without the required
> copyright notice, for example
>
>   lib/webmock/util/json.rb
>   spec/quality_spec.rb
>
> and maybe
>
>   lib/webmock/util/version_checker.rb
>
> as well.
>
> Note that one of the conditions from the Expat/MIT license is
>
>   "The above copyright notice and this permission notice shall be
>    included in all copies or substantial portions of the Software."
>
> which this package misses for files taken from elsewhere.
>
> Ansgar

Trying to fix this https://github.com/bblimke/webmock/pull/355

There is new upstream version, so I'm trying to update the package to
new version. It needs newer version of build dependencies too.

> ===
>
> Please feel free to respond to this email if you don't understand why
> your files were rejected, or if you upload new files which address our
> concerns.
>
>


-- 
പ്രവീണ്‍ അരിമ്പ്രത്തൊടിയില്‍
You have to keep reminding your government that you don't get your rights
from them; you give them permission to rule, only so long as they follow the
rules: laws and constitution.



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Hideki Yamane <henrich@debian.org>:
Bug#695194; Package wnpp. (Wed, 15 Jan 2014 18:00:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Pirate Praveen <praveen@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Hideki Yamane <henrich@debian.org>. (Wed, 15 Jan 2014 18:00:05 GMT) Full text and rfc822 format available.

Message #90 received at 695194@bugs.debian.org (full text, mbox):

From: Pirate Praveen <praveen@debian.org>
To: 695194@bugs.debian.org
Subject: two tests are failing
Date: Wed, 15 Jan 2014 23:26:58 +0530
https://github.com/bblimke/webmock/issues/359
https://github.com/bblimke/webmock/issues/358

we need to fix these two before it can be uploaded



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Hideki Yamane <henrich@debian.org>:
Bug#695194; Package wnpp. (Tue, 04 Mar 2014 21:45:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Miguel Landaeta <nomadium@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Hideki Yamane <henrich@debian.org>. (Tue, 04 Mar 2014 21:45:04 GMT) Full text and rfc822 format available.

Message #95 received at 695194@bugs.debian.org (full text, mbox):

From: Miguel Landaeta <nomadium@debian.org>
To: 695194@bugs.debian.org
Cc: Hideki Yamane <henrich@debian.or.jp>
Subject: Re: ITP: webmock -- Library for stubbing HTTP requests in Ruby
Date: Tue, 4 Mar 2014 18:42:37 -0300
[Message part 1 (text/plain, inline)]
Hi Hideki,

Is there any news regarding webmock packaging?

Cheers,

-- 
Miguel Landaeta, nomadium at debian.org
secure email with PGP 0x6E608B637D8967E9 available at
http://db.debian.org/fetchkey.cgi?fingerprint=4CB7FE1E280ECC90F29A597E6E608B637D8967E9
"Faith means not wanting to know what is true." -- Nietzsche
[signature.asc (application/pgp-signature, inline)]

Added indication that bug 695194 blocks 695195 Request was from Miguel Landaeta <nomadium@debian.org> to control@bugs.debian.org. (Mon, 24 Mar 2014 13:48:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Hideki Yamane <henrich@debian.org>:
Bug#695194; Package wnpp. (Sun, 13 Apr 2014 19:33:14 GMT) Full text and rfc822 format available.

Acknowledgement sent to Pirate Praveen <pravi.a@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Hideki Yamane <henrich@debian.org>. (Sun, 13 Apr 2014 19:33:14 GMT) Full text and rfc822 format available.

Message #102 received at 695194@bugs.debian.org (full text, mbox):

From: Pirate Praveen <pravi.a@gmail.com>
To: debian-ruby <debian-ruby@lists.debian.org>
Cc: 695194@bugs.debian.org, Miguel Landaeta <nomadium@debian.org>
Subject: Re: help with webmock tests
Date: Mon, 14 Apr 2014 01:00:54 +0530
2014-04-13 19:24 GMT+05:30, Pirate Praveen <pravi.a@gmail.com>:
> There are some tests in webmock that needs a network connection. Can
> someone help deactivate those?

Actually there was only one test failing after I disabled network.
https://github.com/bblimke/webmock/issues/358

One more issue is excon incompatibility
https://github.com/bblimke/webmock/issues/359

Can we disable this test until upstream fix this?

and last failing test is gone when ruby-addressable was updated. So
only the above two issues are remaining.

> It needs ruby-em-http-request 1.1.2 but it seems to be not getting
> built even after 3 days. Do anyone know the reason?
>
> Thanks
> Praveen
> --
> പ്രവീണ്‍ അരിമ്പ്രത്തൊടിയില്‍
> You have to keep reminding your government that you don't get your rights
> from them; you give them permission to rule, only so long as they follow
> the
> rules: laws and constitution.
>


-- 
പ്രവീണ്‍ അരിമ്പ്രത്തൊടിയില്‍
You have to keep reminding your government that you don't get your rights
from them; you give them permission to rule, only so long as they follow the
rules: laws and constitution.



Added blocking bug(s) of 695194: 710044 Request was from Pirate Praveen <pravi.a@gmail.com> to control@bugs.debian.org. (Mon, 14 Apr 2014 07:18:05 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 16:20:51 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.